> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cula.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an organisation



## OpenAPI

````yaml /openapi.json post /organisations
openapi: 3.1.0
info:
  title: Cula Tracking API
  version: 0.3.10
servers:
  - url: https://api.demo.cula.earth/tracking/v1
security: []
tags:
  - name: Organisations
    description: ''
  - name: Sites
    description: ''
  - name: Machines
    description: ''
  - name: Machine Variables
    description: ''
  - name: Machine Data Imports
    description: ''
  - name: Delivery Configs
    description: ''
  - name: Deliveries
    description: ''
  - name: Material Sourcing Configs
    description: ''
  - name: Material Sourcings
    description: ''
  - name: Material Conversion Configs
    description: ''
  - name: Material Conversions
    description: ''
  - name: Material Utilization Configs
    description: ''
  - name: Material Utilizations
    description: ''
  - name: Material Batches
    description: ''
  - name: Material Pools
    description: ''
  - name: Material Containers
    description: ''
  - name: Sinks
    description: ''
  - name: Documents
    description: ''
  - name: Webhooks
    description: ''
paths:
  /organisations:
    post:
      tags:
        - Organisations
      summary: Create an organisation
      parameters:
        - name: Cula-Organisation-Id
          in: header
          description: >-
            ID of the organisation the request operates on behalf of (e.g.
            `org_...`). Must be an organisation the API client has access to.
          required: true
          schema:
            type: string
            example: org_01k83mfmhgchya944v86ryvhpq
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateOrganisationRequest'
      responses:
        '201':
          description: Organisation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganisationResponse'
        '400':
          description: Invalid request payload or parameters.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: bad_request
                message: The field limit must not be greater than 100.
        '401':
          description: Missing or invalid access token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: unauthorized
                message: Invalid or expired token
        '409':
          description: Conflicting resource state.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: conflict
                message: >-
                  There exists already an object with external ID MY-CUSTOM-ID
                  within this organisation.
        '500':
          description: Unexpected server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: internal_server_error
                message: Internal server error.
      security:
        - AccessToken: []
components:
  schemas:
    CreateOrganisationRequest:
      type: object
      properties:
        name:
          type: string
          description: Human-readable name for the new organisation.
          maxLength: 100
          minLength: 3
        address:
          type: string
          description: Postal address of the organisation.
          maxLength: 200
          minLength: 3
        external_id:
          type: string
          example: MY-CUSTOM-ID
          description: >-
            A optional custom ID that can be set to an internal ID from your
            system. This ID must be unique within all objects of the
            organisation you operate in. You can later use this external ID to
            reference and query this object. Be aware that you can update this
            ID later. If you need an immutable ID, use the object ID returned
            when creating the object.
          nullable: false
          maxLength: 100
          minLength: 1
          pattern: ^[A-Za-z0-9\-_]+$
        managed_by_site:
          description: >-
            The site managing this record. Reference it either by its ID or by
            its external ID, but not both.
          oneOf:
            - $ref: '#/components/schemas/SiteIdReference'
            - $ref: '#/components/schemas/SiteExternalIdReference'
      required:
        - name
        - address
        - managed_by_site
    OrganisationResponse:
      type: object
      properties:
        id:
          type: string
          example: org_01k83mfmhgchya944v86ryvhpq
        name:
          type: string
          nullable: true
          example: Pyrolysis GmbH
        address:
          type: string
          nullable: true
          example: Business Street 1, 10115 Berlin, DE
        full_address:
          type: string
          nullable: true
          example: Business Street 1, 10115 Berlin, DE
          deprecated: true
        external_id:
          type: string
          nullable: true
          example: MY-CUSTOM-ID
        managed_by_site:
          example:
            id: ste_01k8g7aec6dt5zrtamc72ww446
            external_id: null
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/SiteReference'
      required:
        - id
        - name
        - address
        - full_address
        - external_id
        - managed_by_site
    Error:
      type: object
      properties:
        code:
          type: string
          example: bad_request
        message:
          type: string
          example: The field limit must not be greater than 100.
      required:
        - code
        - message
    SiteIdReference:
      type: object
      properties:
        id:
          type: string
          example: ste_01k8g7aec6dt5zrtamc72ww446
      description: References a site by its ID.
      required:
        - id
    SiteExternalIdReference:
      type: object
      properties:
        external_id:
          type: string
          example: SITE-EXT-0001
          nullable: false
          maxLength: 100
          minLength: 1
          pattern: ^[A-Za-z0-9\-_]+$
      description: References a site by the external ID you assigned to it.
      required:
        - external_id
    SiteReference:
      type: object
      properties:
        id:
          type: string
          nullable: true
          example: ste_01k8g7aec6dt5zrtamc72ww446
        external_id:
          type: string
          nullable: true
          example: SITE-EXT-0001
      description: >-
        References a site by its ID and the external ID you assigned to it (if
        any).
      required:
        - id
        - external_id
  securitySchemes:
    AccessToken:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://auth.demo.cula.earth/oauth2/token
          scopes: {}
      description: >-
        OAuth 2.0 client credentials. Exchange your client_id and client_secret
        for an access token scoped to the organisation that provides data
        access.

````